EmbeddedObjectBaseMoveObjectRelative Method |
Moves the object according to the given move vector.
Namespace: Tekla.Structures.Drawing
Assembly: Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
Parameters
- moveVector
- Type: Tekla.Structures.Geometry3dVector
The move vector to be used.
Return Value
Type: BooleanTrue.
Implements
IMovableRelativeMoveObjectRelative(Vector)Examples
The following example calculates a move vector from two points.
The move vector in the example will move an object 1000 points in the +X direction.
using Tekla.Structures.Drawing; using Tekla.Structures.Geometry3d; public class Example { public void Example1() { DrawingHandler MyDrawingHandler = new DrawingHandler(); DwgObject exampleObject = new DwgObject(MyDrawingHandler.GetActiveDrawing().GetSheet().GetAllViews().Current as ViewBase, new Point(100, 100), "filename"); Vector moveVector = new Vector(new Point(1000, 0) - new Point(0, 0)); exampleObject.MoveObjectRelative(moveVector); } }
See Also